<?php

namespace FiloBlu\PrevNext\Block;

class PrevNext extends \Magento\Framework\View\Element\Template {

    public $_helper;
    public $_registry;

    public function __construct(\Magento\Framework\View\Element\Template\Context $context, \FiloBlu\PrevNext\Helper\Data $helper, \Magento\Framework\Registry $registry, array $data = []
    ) {
        $this->_helper = $helper;
        $this->_registry = $registry;
        parent::__construct($context, $data);
    }

    protected function _toHtml() {

        if (!$this->_helper->getConfig('general/enabled')) {
            return "";
        } else {
            return parent::_toHtml();
        }
    }
    public function isDisablePrevNext() {

        if ($this->_helper->getConfig('settings/enabled_prev_next_cta')) {
            return true;
        }
        return false;
    }

    public function isDisableBackToCategory() {

        if ($this->_helper->getConfig('settings/enabled_back_to_category')) {
            return true;
        }
        return false;
    }
}
