define(
        [
            'jquery',
            'ko',
            'uiComponent',
            'mage/cookies'
        ],
        function ($, ko, Component) {
            "use strict";
            return Component.extend({
                initialize: function () {

                    var date = new Date();
                    var minutes = 30;
                    
                    date.setTime(date.getTime() + (minutes * 60 * 1000));
                    $.cookie('prevnext-category-data', window.prevNextCategoryId, {path: '/', expires: date});

                    return this._super();
                }
            });
        }
);